@media (max-width: 1500px){
    header .top-header .logo img{max-height: 65px;}
    header .top-header .request-content img{max-height: 25px;}
    header .top-header .request-content span{font-size: 16px;}
    header .top-header .financing-wrp button a img{max-height: 25px;}
    header .top-header .financing-wrp button a{font-size: 16px;}
    header .top-header .financing-wrp button{padding: 12px 20px 12px 20px;}
    header nav ul.nav-links li.link a{font-size: 18px;}

    section.hero_sec .hero_heading h1 span{font-size: 50px; line-height: 55px;}
	section.hero_sec .hero_heading h2 span { font-size: 40px; line-height: 45px; }
    .heading h1{font-size: 40px; padding: 50px 0px 30px 0px;}
    .light-blue-bg p{font-size: 20px; line-height: 30px;}
    .main-row .row-item { display: flex; flex-direction: column; align-items: start; justify-content: center; }
    .main-row .row-item p{font-size: 20px; line-height: 30px;}
    .main-row .row-item.text-box p{font-size: 20px; line-height: 30px;}
    .main-row .row-item button.row-item-btn { padding: 15px 30px 15px 30px;}
    .main-row .row-item button.row-item-btn a{font-size: 18px;}
    .main-row{margin-top: 40px; row-gap: 40px;}

    section.who_is_sec { padding-bottom: 80px; }
    section.who_is_sec .main-row .row-item.last-item{flex-direction: row;}
    section.who_is_sec .main-row .row-item.last-item h3{font-size: 25px;}
    section.swim_spa_sec { padding-bottom: 0px; }
    section.hot_tub_sec { padding-bottom: 0px; }
    section.master_spa_sec .main-content-wrp .master-spas-logo { margin-top: 40px; }
    section.master_spa_sec { padding-bottom: 80px; }
    section.installations_sec { margin-bottom: 80px; }
    section.testimonials_sec { padding-bottom: 80px; }
    section.service_sec { padding-bottom: 80px; }
    section.why_choose_swim .slider-wrp .silder-content h1{font-size: 40px; width: 100%; line-height: 55px;}
    section.why_choose_swim .slider-wrp .silder-content .owl-theme p{font-size: 20px; line-height: 30px;}
    section.swim_spa_sec .main-row .row-item.last-item p{font-size: 25px; line-height: 35px;}
    section.swim_spa_sec .main-row .row-item.last-item h3{font-size: 35px;}
    section.hot_tub_sec .main-row .row-item.last-item p{font-size: 25px; line-height: 35px;}
    section.hot_tub_sec .main-row .row-item.last-item h3{font-size: 35px;}
    section.master_spa_sec .main-content-wrp p{font-size: 20px; line-height: 30px;}
    section.master_spa_sec .main-content-wrp .visit-showroom-wrp .right-content{padding: 0px 50px; display: flex; align-items: center; justify-content: center; flex-direction: column;}
    section.master_spa_sec .main-content-wrp .visit-showroom-wrp .right-content h2{font-size: 30px; line-height: 40px;}
    section.master_spa_sec .main-content-wrp .visit-showroom-wrp .right-content button{padding: 12px 20px 12px 20px;}
    section.master_spa_sec .main-content-wrp .visit-showroom-wrp .right-content button a{font-size: 20px;}

    section.installations_sec .slider-row .slider-item h1{font-size: 40px;}
    section.installations_sec .slider-row .slider-item .item p{font-size: 25px;}
    .video-thumbnail {padding-bottom: 300px;}
    section.installations_sec .slider-row .slider-item .video-slider-2 .item img{height: 300px;}

    section.testimonials_sec .testimonials-wrp .testimonials-content h2{font-size: 40px;}
    section.testimonials_sec .testimonials-wrp .testimonials-content .testimonials_item p{font-size: 20px; line-height: 30px;}
    section.testimonials_sec .testimonials-wrp .testimonials-content .testimonials_item span{font-size: 20px;}

    section.service_sec .service-wrp .service-item{height: 350px;}
    section.service_sec .service-wrp .service-item .service-item-content h3{font-size: 30px;}
    section.service_sec .service-wrp .service-item .service-item-content button{padding: 15px 30px 15px 30px;}
    section.service_sec .service-wrp .service-item .service-item-content button a{font-size: 18px;}

    footer .footer-logo img{max-height: 80px;}
    footer .footer-top .footer-nav ul.foter-link li a{font-size: 20px;}
    footer .footer-top .footer-nav ul.foter-link span{height: 15px;}
    footer .footer-top .timing p{font-size: 20px;}
    footer .footer-top .rights-reserved p{font-size: 20px; line-height: 25px;}
    footer .footer-top .rights-reserved span{font-size: 14px;}
    footer .footer-bottom .footer-brand img{max-height: 50px;}
}

@media (max-width: 1200px){
    header .top-header .request-content a{gap: 20px; }
    .custom-nav-dots{margin-top: 30px;}
    section.installations_sec .slider-row .slider-item .item p{font-size: 22px;}
    section.why_choose_swim .slider-wrp { max-width: calc(50% - 0px); }
    section.why_choose_swim .slider-wrp .silder-content{padding: 70px 60px;}
    footer .footer-top{padding: 0px 50px 45px;}
}

@media (min-width: 1024px){
    header nav ul.nav-links li.link:hover ul.sub-menu{ display: block; }
    header nav ul.nav-links li.link:hover::after { transform: rotate(180deg); }
}

@media (max-width: 1023px){
    .top-header { display: grid !important; grid-template-columns: 1fr 1fr 1fr; row-gap: 20px;}
    .menu-btn { display: inline-block; position: relative; width: 50px; height: 35px; cursor: pointer; background: none; border: none; z-index: 1000; }
    .nav-menu-wrp{display: flex; align-items: center; justify-content: end;}
    nav.hidden { right: -355px; }
    header nav ul.nav-links li.link ul.sub-menu{width: 100%; margin-top: 10px;}
    header .top-header .request-wrp{grid-column: 1 / 4; grid-row: 2 / 3;}
    header .top-header .financing-wrp{text-align: center;}
    header nav ul.nav-links{display: block;}
    header nav ul.nav-links li.link{padding: 10px 0px;}
    header nav{height: 100vh; width: 35vw; position: fixed; top: 0; right: -355px; transition: right 0.4s ease; z-index: 99; padding-top: 100px;}
    
    body{position: relative;}
    body.open-nav::before{ background-color: #00000078; position: absolute; content: ''; height: 100%; width: 100%; z-index: 99; }
    body.open-nav nav { right: 0; }
    body.open-nav .nav-menu-wrp{position: absolute; z-index: 999; right: 30px; top: 30px;}
    body.open-nav .nav-menu-wrp .menu-btn span{ background-color: #0077C0; display: block; position: absolute; width: 80%; transition: all 0.3s ease; }
    body.open-nav .menu-btn span:nth-child(1) { transform: rotate(45deg); top: 22px; }
    body.open-nav .menu-btn span:nth-child(2) { opacity: 0; }
    body.open-nav .menu-btn span:nth-child(3) { transform: rotate(-45deg); top: 22px; }
    body.open-nav .menu-btn { top: 40px; width: 60px; height: 50px; border-radius: 10px; background-color: #fff; position: fixed; right: 10px;}
   
    header nav ul.nav-links li.link ul.sub-menu{position: static; list-style: none; background-color: #41b7ff; padding: 5px 10px;}
    /* header nav ul.nav-links li.link.sub-menu-open ul.sub-menu {margin-top: 10px; width: 100%; } */
    header nav ul.nav-links li.link.drop-down-link.sub-menu-open::after{transform: rotate(180deg);}
    header nav ul.nav-links li.link.drop-down-link::after{top: 10px;}
}

@media (max-width: 991px){
    .heading h1{font-size: 30px;}
    .light-blue-bg{padding: 30px 40px;}
    .light-blue-bg p{font-size: 16px; line-height: 28px;}
    .main-row .row-item p{font-size: 16px; line-height: 28px;}
    .main-row .row-item.text-box p{font-size: 16px; line-height: 28px;}
    .main-row .row-item.text-box{padding: 30px;}
    .main-row .row-item button.row-item-btn a{font-size: 16px;}

    section.hero_sec .hero_heading h1 span{font-size: 40px; line-height: 45px;}
	section.hero_sec .hero_heading h2 span { font-size: 30px; line-height: 35px; }
    section.why_choose_swim .slider-wrp .silder-content h1{font-size: 30px; line-height: 45px;}
    section.why_choose_swim .slider-wrp .silder-content .owl-theme p{font-size: 16px; line-height: 28px;}
    section.why_choose_swim .slider-wrp{max-width: 60%;}

    section.swim_spa_sec .main-row .row-item.last-item p{font-size: 18px; line-height: 25px;}
    section.swim_spa_sec .main-row .row-item.last-item h3{font-size: 28px; line-height: 30px;}

    section.hot_tub_sec .main-row .row-item.last-item p{font-size: 18px; line-height: 25px;}
    section.hot_tub_sec .main-row .row-item.last-item h3{font-size: 28px; line-height: 30px;}

    section.master_spa_sec .main-content-wrp p{font-size: 16px; line-height: 28px;}
    section.master_spa_sec .main-content-wrp .visit-showroom-wrp .right-content h2{font-size: 22px; line-height: 30px;}

    section.installations_sec .slider-row .slider-item h1{font-size: 25px; line-height: 30px;}
    section.installations_sec .slider-row .slider-item .item p{font-size: 15px;}
    section.testimonials_sec .testimonials-wrp .testimonials-content h2{font-size: 25px;}
    section.master_spa_sec .main-content-wrp .visit-showroom-wrp .right-content button a{font-size: 16px;}
    section.testimonials_sec .testimonials-wrp .testimonials-content .testimonials_item p{font-size: 16px; line-height: 28px;}
    section.testimonials_sec .testimonials-wrp .testimonials-content .testimonials_item span{font-size: 16px;}
    section.service_sec .service-wrp .service-item .service-item-content h3{font-size: 22px; line-height: 25px;}

    footer .footer-top .footer-nav ul.foter-link li a{font-size: 16px;}
    footer .footer-top .timing p{font-size: 16px; line-height: 20px;}
    footer .footer-top .rights-reserved p{font-size: 16px; line-height: 20px;}
    footer .footer-bottom .footer-brand img{max-height: 40px;}
    footer .footer-logo img{max-height: 70px;}
}

@media (max-width: 850px){
    section.hero_sec video{display: none;}
    section.hero_sec{background-image: url('../img/hero-bg.jpg'); background-position: center; background-size: cover; height: auto; max-height: unset;}
    section.hero_sec .hero_heading h1 span{font-size: 35px; line-height: 45px; font-weight: 700;}
	section.hero_sec .hero_heading h2 span { font-size: 25px; line-height: 35px; font-weight: 700; }
}
@media(max-width: 767px){
    .container{padding: 0px 15px;}
    .top-content .top-main-content .left-content{display: none;}
    .top-content .top-main-content .right-content{width: 100%; justify-content: center;}
    .nav-menu-wrp .menu-btn{gap: 5px;}
    .nav-menu-wrp .menu-btn span{width: 30px; height: 4px;}
    .nav-menu-wrp{grid-column: 3 /4; }
    .financing-wrp.sticky{ position: static !important; }
    .logo.sticky{ width: 56%; }
    .nav-menu-wrp.sticky{ width: 50%; }
    section.hero_sec .hero_heading h1 span{font-size: 35px;}
	section.hero_sec .hero_heading h2 span { font-size: 25px; }
    header .top-header .request-wrp{gap: 10px;}
    header .top-header .request-content a span{font-size: 14px;}
    header .top-header .request-content a{gap: 10px;}
    header .top-header .financing-wrp{grid-column: 1 /4; grid-row: 2 / 3;}
    header .top-header .request-wrp{grid-row: 3 / 4;}
    header .top-header .financing-wrp button a{font-size: 14px;}
    body.open-nav nav{width: 100%;}
    body.open-nav .menu-btn{height: 50px; width: 45px;}

    .heading h1{font-size: 23px; line-height: 25px;}
    .main-row{grid-template-columns: 1fr;}
    .main-row .row-item img{max-height: 300px; object-fit: cover;}
    .main-row .row-item.text-box{align-items: center;}
    .main-row .row-item p{font-size: 14px; line-height: 23px;}
    .main-row .row-item button.row-item-btn a{font-size: 14px;}
    .main-row .row-item.text-box p{font-size: 14px; line-height: 23px;}
    .main-row .row-item .last-item-content{padding: 50px 40px;}
    .light-blue-bg p{font-size: 14px; line-height: 23px;}
    section.why_choose_swim{padding: 50px 0px;}
    section.why_choose_swim .slider-wrp .silder-content h1{font-size: 23px; line-height: 25px;}
    section.why_choose_swim .slider-wrp .silder-content .owl-theme p{font-size: 14px; line-height: 23px;}
    section.who_is_sec .main-row .row-item.last-item h3{font-size: 20px; line-height: 25px;}
    section.swim_spa_sec .main-row .row-item.last-item p{font-size: 14px; line-height: 20px;}
    section.swim_spa_sec .main-row .row-item.last-item h3{font-size: 20px; line-height: 26px;}
    section.hot_tub_sec .main-row .row-item.last-item p{font-size: 14px; line-height: 20px;}
    section.hot_tub_sec .main-row .row-item.last-item h3{font-size: 20px; line-height: 25px;}

    section.why_choose_swim .slider-wrp{max-width: 100%;}
    section.master_spa_sec .main-content-wrp .visit-showroom-wrp{grid-template-columns: 1fr;}
    section.why_choose_swim .slider-wrp .silder-content{padding: 50px; border-radius: 20px;}
    section.master_spa_sec .main-content-wrp .visit-showroom-wrp .left-content img{max-height: 300px; object-fit: cover; border-radius: 10px 10px 0px 0px;}
    section.master_spa_sec .main-content-wrp .visit-showroom-wrp .right-content{border-radius: 0px 0px 10px 10px; padding: 30px;}
    section.installations_sec .slider-row{flex-direction: column; gap: 30px;}
    section.installations_sec .slider-row .slider-item{width: 100%;}
    section.testimonials_sec .testimonials-wrp{flex-direction: column;}
    section.testimonials_sec .testimonials-wrp .testimonials-img{width: 100%; border-radius: 20px 20px 0px 0px; overflow: hidden;}
    section.testimonials_sec .testimonials-wrp .testimonials-img img{max-height: 350px; object-fit: cover;}
    section.testimonials_sec .testimonials-wrp .testimonials-content{width: 100%; border-radius: 0px 0px 20px 20px; padding: 30px;}
    section.testimonials_sec .testimonials-wrp .testimonials-content .testimonials_item p{margin-bottom: 25px;}
    section.service_sec .service-wrp{grid-template-columns: 1fr;}
    section.service_sec .service-wrp .service-item{height: 300px;}
    .testimonials-nav-dots{margin-top: 20px;}

    section.who_is_sec .main-row .row-item:nth-child(2){ order: 1; }
    section.who_is_sec .main-row .row-item:nth-child(1){ order: 2; }
    section.who_is_sec .main-row .row-item:nth-child(3){ order: 3; }
    section.who_is_sec .main-row .row-item:nth-child(4){ order: 4; }
    section.who_is_sec .main-row .row-item:nth-child(6){ order: 5; }
    section.who_is_sec .main-row .row-item:nth-child(5){ order: 6; }
    section.who_is_sec .main-row .row-item:nth-child(7){ order: 7; }
    section.who_is_sec .main-row .row-item:nth-child(8){ order: 8; }
    section.swim_spa_sec .main-row .row-item:nth-child(2){ order: 1; }
    section.swim_spa_sec .main-row .row-item:nth-child(1){ order: 2; }
    section.swim_spa_sec .main-row .row-item:nth-child(3){ order: 3; }
    section.swim_spa_sec .main-row .row-item:nth-child(4){ order: 4; }
    section.swim_spa_sec .main-row .row-item:nth-child(5){ order: 5; }
    section.swim_spa_sec .main-row .row-item:nth-child(6){ order: 6; }
    section.hot_tub_sec .main-row .row-item:nth-child(2){ order: 1; }
    section.hot_tub_sec .main-row .row-item:nth-child(1){ order: 2; }
    section.hot_tub_sec .main-row .row-item:nth-child(3){ order: 3; }
    section.hot_tub_sec .main-row .row-item:nth-child(4){ order: 4; }
    section.hot_tub_sec .main-row .row-item:nth-child(5){ order: 5; }
    section.hot_tub_sec .main-row .row-item:nth-child(6){ order: 6; }

    footer .footer-top .footer-nav ul.foter-link li{width: 50%; text-align: center;}
    footer .footer-top .footer-nav ul.foter-link li:last-child{width: 100%;}
    footer .footer-top .footer-nav ul.foter-link{border-bottom: 1px solid #ffffff66;}
    footer .footer-top .timing{padding-bottom: 10px; border-bottom: 1px solid #ffffff66;}
    footer .footer-top .rights-reserved{margin-top: 20px;}
    footer .footer-top .footer-nav ul.foter-link span{display: none;}
    footer .footer-top .timing p span{display: block; margin-top: 10px; margin-left: 0px;}
    footer .footer-top .timing{margin-top: 20px;}
    footer .footer-top{padding: 0px 0px 45px 0px;}
}